{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pers_Id"; }; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "personne.persId"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pers_Id"; }; 
            isReadOnly = Y; 
            name = "personne_persId"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "personne.persLc"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = "personne_persLc"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            definition = "personne.persLibelle"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = "personne_persLibelle"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            definition = "personne.persNomPtr"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = "personne_persNomPtr"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            definition = "personne.persType"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = "personne_persType"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_FERMETURE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "utl_Fermeture"; }; 
            name = utlFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "utl_ordre"; }; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_OUVERTURE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "utl_ouverture"; }; 
            name = utlOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (utlOrdre); 
    className = "org.cocktail.jefyadmin.server.metier.EOUtilisateur"; 
    classProperties = (
        individu, 
        personne, 
        "personne_persId", 
        "personne_persLc", 
        "personne_persLibelle", 
        "personne_persNomPtr", 
        "personne_persType", 
        typeEtat, 
        utilisateurFonctions, 
        utilisateurOrgans, 
        utlFermeture, 
        utlOuverture, 
        utilisateurInfo
    ); 
    externalName = "JEFY_ADMIN.UTILISATEUR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            individu, 
            personne, 
            "personne_persId", 
            "personne_persLc", 
            "personne_persLibelle", 
            "personne_persNomPtr", 
            "personne_persType", 
            typeEtat, 
            utilisateurFonctions, 
            utilisateurOrgans, 
            utlFermeture, 
            utlOuverture, 
            utilisateurInfo
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOUtilisateur"; 
        "_nameInObjectStore" = Utilisateur; 
    }; 
    name = Utilisateur; 
    primaryKeyAttributes = (utlOrdre); 
    relationships = (
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = individu; 
        }, 
        {
            destination = Personne; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = personne; 
        }, 
        {
            destination = TypeEtat; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = UtilisateurFonction; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateurFonctions; 
        }, 
        {
            destination = UtilisateurInfo; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateurInfo; 
        }, 
        {
            destination = UtilisateurOrgan; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateurOrgans; 
        }
    ); 
}
